For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
      • GETGet all a user's workspaces
      • POSTCreate a workspace
      • GETGet workspace
      • PATCHUpdate a workspace
      • GETGet the balance of a workspace
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceWorkspaces

Get the balance of a workspace

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/workspaces/:workspace_id/balance/
GET
/api/v1/workspaces/:workspace_id/balance/
$curl https://api.prolific.com/api/v1/workspaces/workspace_id/balance/ \
> -H "Authorization: Token <token>"
1{
2 "currency_code": "GBP",
3 "total_balance": 630,
4 "balance_breakdown": {
5 "rewards": 450,
6 "fees": 150,
7 "vat": 30
8 },
9 "available_balance": 210,
10 "available_balance_breakdown": {
11 "rewards": 150,
12 "fees": 50,
13 "vat": 10
14 }
15}
Provides details of the funds available in the workspace.
Was this page helpful?
Previous

Update a workspace

Next

Projects

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

workspace_idstringRequired
Workspace id

Response

Success
currency_codestring
The currency used for all financial transactions within the workspace.
total_balanceinteger

The total balance of the workspace, including funds which have already been assigned to active studies.

All monetary values are shown in the sub-currency of your workspace currency (e.g. pence, cents).

balance_breakdownobject

A breakdown of the total balance of the workspace into:

  • Funds available to pay to participants
  • Funds pre-paid to Prolific for our services
  • Funds for any VAT applied to our Platform fees
available_balanceinteger
The remaining balance of your workspace which is available to spend, after removing funds assigned to already active studies, etc.
available_balance_breakdownobject

A breakdown of the available balance of the workspace into:

  • Funds available to pay to participants
  • Funds pre-paid to Prolific for our services
  • Funds for any VAT applied to our Platform fees

Errors

4XX
Client Request Error